Page MenuHomePhabricator

approve usage of CentralNotice banners for WM-RU on its own site
Closed, ResolvedPublic

Description

Wikimedia RU uses a site hosted on WMF servers as its official site - http://ru.wikimedia.org

Though it's quite useful for readers and editors (they can use SUL and familiar environment for participation) it puts lots of limitations on our activities, some of them are really blocking our development.

For example, we are promoting this website via social-media, our blog posts, news, etc.; even Google Adwords grant is used for bringing attention to the site.

Nevertheless, we can't use convenient and efficient ways to convert all that readers/visitors into quality:

  1. we have no information about actual number of visitors and efficiency of our outreach - see T91963
  2. we are not able to convert it into donations that are required for our activities.

Fundraising is a difficult issue in Russia and while we had a number of conversations with WMF on different levels, we decided to put our new proposal to Phabricator not to discuss it with all relevant parties one by one but to invite WMF responsible people to this discussion and approval process.

We want to use CentralNotice banner at ru.wikimedia.org website as a fundraising banner: we are not speaking about banners in Wikipedia or other projects, we want to use it only on our website.

We can't use PEG/FDC because external transfers are prohibited by the government and donations from Russian editors\readers is the only legal way to get fundraising.

We invested a lot into promotion of ru.wikimedia.org and it would be a disaster to learn that we can't use it for fundraising now...
So, I am cc'ing relevant departments of WMF and am waiting for your comments.

Linar

Event Timeline

Rubin16 created this task.Mar 9 2015, 12:46 PM
Rubin16 raised the priority of this task from to High.
Rubin16 updated the task description. (Show Details)
Rubin16 added a subscriber: Rubin16.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 12:46 PM
Pcoombe added a subscriber: Pcoombe.Mar 9 2015, 4:33 PM

Why do you need to use CentralNotice rather than plain old sitenotices? The purpose of CentralNotice is to display a [[MediaWiki:Sitenotice]] (on a schedule, across multiple wikis, etc.).

Why do you need to use CentralNotice rather than plain old sitenotices? The purpose of CentralNotice is to display a [[MediaWiki:Sitenotice]] (on a schedule, across multiple wikis, etc.).

Because CentralNotice is much more convenient: we can (for example) target to mobile users, limit banner shows to some percentage and, the main point, we can choose to show banners for users from Russia only - the Russian legislature prohibits us from foreign financing.

I understand your problem now. Outside of CentralNotice, geolocated notices only work for watchlist notices, which isn't useful. @Jalexander, do you know what it would take to get this set up (or even if it's possible without re-writing everything)?

@Jalexander, @Pcoombe, sorry for pinging you as there are no answers here yet and it seems to me that you could help me with this issue :)

I also have an additional question: as I see, WM-HU even runs fundraising campany in English Wikipedia itself:
https://meta.wikimedia.org/w/index.php?title=Special:CentralNotice&method=listNoticeDetail&notice=WMHU_1percent_2015c

So, why is one chapter allowed to gather funds via Wikipedia while we are still not approved to get funds via our own website?

Hi Rubin, WMHU has an agreement with the foundation to do so. This is the big thing, you need to get legal approval, neither Peter or I can give that. I'll try and poke Stephen Laporte today to take a look here.

Glaisher updated the task description. (Show Details)Apr 3 2015, 4:30 PM
Glaisher added a subscriber: Glaisher.

Hi Rubin, WMHU has an agreement with the foundation to do so. This is the big thing, you need to get legal approval, neither Peter or I can give that. I'll try and poke Stephen Laporte today to take a look here.

Hi! Are there any new details about that?

Hi Rubin, WMHU has an agreement with the foundation to do so. This is the big thing, you need to get legal approval, neither Peter or I can give that. I'll try and poke Stephen Laporte today to take a look here.

Hi! Are there any new details about that?

Hi @Rubin16, I spoke with @Jalexander and he can assist you with setting up a banner on ru.wikimedia.org.

Rubin16 closed this task as Resolved.Apr 18 2015, 5:14 PM
Rubin16 claimed this task.